#
# General Purpose Module for recompiling all package modules prior to zipping
#

import glob, os, sys, traceback

def errorstack():
    return ''.join(traceback.format_exception(sys.exc_info()[0],\
              sys.exc_info()[1],sys.exc_info()[2]))

# subtree
for (dirpath, dirnames, filenames) in os.walk('.'):
    pyfiles = filter (lambda x: os.path.splitext(x)[1] == '.py', filenames)
    path = dirpath.split(os.path.sep)[1:]
    if not path: continue
    for pyf in pyfiles:
        cpath = path[:]
        base = os.path.basename(pyf).replace('.py','')
        cpath.append(base)
        cmd = 'import '+'.'.join(cpath)
        try:
            print cmd
            exec(cmd)
        except ImportError:
            pass
        except:
            print errorstack()
            raw_input()

# current directory
for f in glob.glob('*.py'):
    bn = os.path.basename(f).replace('.py','')
    if bn == 'importAll': continue
    cmd = 'import '+bn
    try:
        print cmd
        exec(cmd)
    except ImportError:
        pass
    except:
        print errorstack()
        raw_input()

# wait for entry
print '\nDone!'
raw_input()
