#
# Simple TCP client class with timeouts
#

import socket
socket.setdefaulttimeout(30)
import Excepts

DEBUG = 1

class skt:
    def __init__(self, host, port):
        try:
            self.sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
            self.sock.connect((host, port))
        except:
            raise 'TcpClient.skt.__init__','Error connecting to '+host+':'+ \
                str(port)+' - '+Excepts.error()

    def localhostport(self):
        return self.sock.getsockname()

    def write(self, data):
        if data:
            if DEBUG:
                print '\nWR:',repr(data.replace(chr(0),'*'))
            return self.sock.send(data)
        return -1

    def read(self, len):
        x = self.sock.recv(len)
        if DEBUG:
            print '\nRD:',repr(x.replace(chr(0),'*'))
        return x

    def close(self):
        self.sock.close()
